{
  "name": "@aicacia/state-react",
  "version": "0.2.2",
  "description": "connect react components with @aicacia/state stores",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/aicacia/libs/ts-state-react.git"
  },
  "main": "./lib/index.js",
  "types": "./lib/index.d.ts",
  "scripts": {
    "build": "tsc",
    "doc": "typedoc --entryPoints src",
    "prepublishOnly": "npm run clean && npm run build",
    "test": "ts-node node_modules/.bin/tape src/**/*.test.{ts,tsx} | tap-spec",
    "coverage": "nyc --reporter=lcov --check-coverage --lines=75 --require ts-node/register tape src/**/*.test.{ts,tsx} | tap-spec; nyc report ---reporter=text",
    "clean": "rm -rf ./lib",
    "lint": "eslint . --fix",
    "todolist-connect": "parcel examples/todolist-connect/index.html",
    "todolist-hooks": "parcel examples/todolist-hooks/index.html"
  },
  "keywords": [
    "state",
    "react"
  ],
  "author": "Nathan Faucett",
  "license": "(MIT OR Apache-2.0)",
  "readmeFilename": "README.md",
  "devDependencies": {
    "@aicacia/json": "0",
    "@aicacia/state": "0",
    "@testing-library/react": "11",
    "@types/jsdom": "16",
    "@types/react": "16 || 17",
    "@types/react-dom": "16 || 17",
    "@types/tape": "4",
    "@typescript-eslint/eslint-plugin": "4",
    "@typescript-eslint/parser": "4",
    "eslint": "7",
    "eslint-config-prettier": "7",
    "eslint-plugin-prettier": "3",
    "eslint-plugin-react": "7",
    "immutable": "^4.0.0-rc.12",
    "jsdom": "16",
    "nyc": "15",
    "parcel-bundler": "1",
    "prettier": "2",
    "react": "16 || 17",
    "react-dom": "16 || 17",
    "tap-nyc": "1",
    "tap-spec": "5",
    "tape": "5",
    "ts-node": "9",
    "tslib": "2",
    "typedoc": "beta",
    "typescript": "4"
  },
  "peerDependencies": {
    "tslib": "2",
    "@aicacia/state": "0",
    "react": "16 || 17"
  },
  "dependencies": {
    "shallow-equal-object": "1"
  },
  "nyc": {
    "include": [
      "src"
    ],
    "exclude": [
      "src/**/*.test.*"
    ],
    "extension": [
      ".ts",
      ".tsx"
    ]
  }
}
